# Generated by Django 3.0.5 on 2020-04-09 17:02

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(editable=False, verbose_name='дата создания')),
                ('updated_at', models.DateTimeField(editable=False, verbose_name='дата изменения')),
                ('last_name', models.CharField(max_length=50, verbose_name='фамилия')),
                ('first_name', models.CharField(max_length=50, verbose_name='имя')),
                ('patronymic', models.CharField(max_length=50, verbose_name='отчество')),
                ('dob', models.DateField(verbose_name='дата рождения')),
                ('phone_number', models.CharField(max_length=15, verbose_name='номер телефона')),
                ('passport_number', models.CharField(max_length=10, verbose_name='номер паспорта')),
                ('rank', models.FloatField(verbose_name='скоринговый балл')),
            ],
            options={
                'verbose_name': 'Клиента',
                'verbose_name_plural': 'Клиенты',
            },
        ),
        migrations.CreateModel(
            name='CreditOffer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(editable=False, verbose_name='дата создания')),
                ('updated_at', models.DateTimeField(editable=False, verbose_name='дата изменения')),
                ('start_rotation', models.DateTimeField(verbose_name='начало ротации')),
                ('end_rotation', models.DateTimeField(verbose_name='окончание ротации')),
                ('name', models.CharField(max_length=50, verbose_name='название предложения')),
                ('min_rank', models.IntegerField(verbose_name='минимальный скоринговый балл')),
                ('max_rank', models.IntegerField(verbose_name='максимальный скоринговый балл')),
            ],
            options={
                'verbose_name': 'Предложение',
                'verbose_name_plural': 'Предложения',
            },
        ),
        migrations.CreateModel(
            name='OfferType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=15)),
            ],
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('type', models.CharField(choices=[('Partner', 'Партнёр'), ('Creditor', 'Кредитная организация')], default='Partner', max_length=8)),
            ],
            options={
                'verbose_name': 'Организацию',
                'verbose_name_plural': 'Организации',
            },
        ),
        migrations.CreateModel(
            name='RequestStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='CreditRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(editable=False, verbose_name='дата создания')),
                ('updated_at', models.DateTimeField(editable=False, verbose_name='дата изменения')),
                ('sent_at', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='requests', to='credits.Client', verbose_name='клиент')),
                ('offer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='requests', to='credits.CreditOffer', verbose_name='предложение')),
                ('status', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='requests', to='credits.RequestStatus', verbose_name='статус')),
            ],
            options={
                'verbose_name': 'Заявку',
                'verbose_name_plural': 'Заявки',
            },
        ),
        migrations.AddField(
            model_name='creditoffer',
            name='creditor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='offers', to='credits.Organization', verbose_name='организация'),
        ),
        migrations.AddField(
            model_name='creditoffer',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='offers', to='credits.OfferType', verbose_name='тип предложения'),
        ),
        migrations.AddField(
            model_name='client',
            name='partner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='clients', to='credits.Organization', verbose_name='организация'),
        ),
    ]
